Skip to main content
GET
Read authoritative credential status

Authorizations

X-Ambient-Actor
string
header
required

Provisioned actor identifier.

X-Ambient-Timestamp
string
header
required

Current Unix timestamp in seconds, within the configured clock-skew window.

Authorization
string
header
required

Ambient-HMAC followed by a space and the unpadded base64url HMAC-SHA256 signature. See Authentication and authority for the canonical input.

Path Parameters

credentialId
string
required

Ambient credential identifier.

Minimum string length: 1

Response

Signed credential and current registry status.

id
string
required
issuerPrincipalId
string
required

Principal represented by the authenticated actor.

Minimum string length: 1
issuingActorId
string
required
subjectPrincipalId
string
required

Principal represented by the authenticated actor.

Minimum string length: 1
type
string
required
claims
object
required
issuedAt
string<date-time>
required
signingKeyId
string
required
payloadVersion
string
required
Allowed value: "ambient-credential.v1"
signature
string
required

Unpadded base64url Ed25519 signature over the canonical Ambient credential payload.

authorityRef
string
validUntil
string<date-time>
revokedAt
string<date-time>